package m05bTablaEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05ParametroEB</tt>.
 *
 * @see     m05.exe.Tabla
 * @see     m05.exe.M05TablaEB
 * @see     m05.exe.M05TablaEBHome
 * @see     m05.exe.M05TablaEBBean 
 * @author <a href="mailto:paco.gomez@terra.com">Paco Gomez</a>.
 *         Professional J2EE Programming with BEA WebLogic Server, 
 *         by Gomez & Zadrozny, Copyright &#169; 2000. 
 */
public class m05TablaPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the tabla cod_tabla_98, which is the primary key 
   * in table <tt>M0598T00_ Tablas</tt>.
   */
  public long tab_codigo;
  
  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean   
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05TablaPK) {
      m05TablaPK otherKey = (m05TablaPK) obj;
      return ((this.tab_codigo == otherKey.tab_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return (int)this.tab_codigo;
  }    
  
}
